import random


def make_maze(size=8):
    r = [[[0] * size] * size] * size
    for i in xrange(size):
        for j in xrange(size):
            r[i][j] = [random.randint(0, 1) for i in xrange(size)]
    r[0][0][0] = 1
    r[7][7][7] = 1
    return r


def parse_maze(filename):
    f = open(filename, 'r')
    t = f.read()
    return [[int(j) for j in i.split()] for i in t.split('\n\n') if i]
